propagate.hpp File Reference
`#include <gecode/int/rel.hh>`
`#include <gecode/int/distinct.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Sorted
| Sorted propagators

## Functions

template<class View, bool Perm>
ExecStatus | Gecode::Int::Sorted::bounds_propagation (Space &home, Propagator &p, ViewArray< View > &x, ViewArray< View > &y, ViewArray< View > &z, bool &repairpass, bool &nofix, bool &match_fixed)
| Perform bounds consistent sortedness propagation.